"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.requestToObj = requestToObj;

/**
 * extract relevant information from Express request.
 */
function requestToObj(req, port) {
  // apparently port is not readily available in request.
  const browser = {
    connection: {
      secure: req.secure,
      headers: req.headers,
      body: req.body
    },
    // trying to match to browser.location
    location: {
      host: `${req.hostname}:${port}`,
      hostname: req.hostname,
      href: `${req.protocol}://${req.hostname}:${port}${req.url}`,
      origin: `${req.protocol}://${req.hostname}:${port}`,
      pathname: req.path,
      port,
      protocol: `${req.protocol}:`,
      query: req.query,
      url: req.url
    },
    cookie: req.header('Cookie')
  };
  return browser;
}

//# sourceMappingURL=/home/circleci/Library/Caches/Bit/capsules/8891be5ad3d35bfc38b9cd90c0e05b598a5a55af/teambit.ui-foundation_ui@0.0.401/ssr/request-browser.js.map